%define glib2_version 2.24.0
%define pango_version 1.28.0
%define gtk2_version 2.20.0
%define libgnome_version 2.30.0
%define libgnomeui_version 2.24.0
%define gconf2_version 2.28.0
%define dbus_glib_version 0.70
%define dbus_version 1.2
%define libnotify_version 0.2.1

%define po_package gnome-session-2.0

Summary: GNOME session manager
Summary(ja): GNOME セッションマネージャ
Name: gnome-session
Version: 2.30.0
Release: 1%{?_dist_release}
URL: http://www.gnome.org/
License: GPLv2+ 
Group: User Interface/Desktops

Source0: %{name}-%{version}.tar.bz2
Source1: vine-default-session
Source2: gnome.desktop 

# fixed upstream

BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: glib2-devel >= %{glib2_version}
BuildRequires: pango-devel >= %{pango_version}
BuildRequires: gtk2-devel >= %{gtk2_version}
BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: libgnomeui-devel >= %{libgnomeui_version}
BuildRequires: GConf2-devel >= %{gconf2_version}
BuildRequires: dbus-devel >= %{dbus_version}
BuildRequires: dbus-glib-devel >= %{dbus_glib_version}
BuildRequires: libnotify-devel >= %{libnotify_version}
BuildRequires: usermode
BuildRequires: startup-notification-devel
BuildRequires: libSM-devel
BuildRequires: desktop-file-utils
BuildRequires: upower-devel

Requires(post): GConf2 >= %{gconf2_version}
Requires(pre): GConf2 >= %{gconf2_version}
Requires(preun): GConf2 >= %{gconf2_version}
Conflicts: gdm < 2.4.0.7
Requires: vine-backgrounds >= 3.8
Requires: control-center

%description
gnome-session manages a GNOME desktop session. It starts up the other core 
GNOME components and handles logout and saving the session.


%prep
%setup -q

%build
#sed -i -e 's/GNOME_COMPILE_WARNINGS.*//' configure.in

#aclocal
#automake
#intltoolize --force --copy
#autoheader
#autoconf

%configure \
    --enable-compile-warnings=no \
    --enable-polkit \
    --disable-schemas-install
make %{?_smp_mflags}

#    --with-halt-command=/usr/bin/poweroff \
#    --with-reboot-command=/usr/bin/reboot \

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor gnome --delete-original                   \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications                         \
  --add-only-show-in GNOME                                              \
  $RPM_BUILD_ROOT%{_datadir}/applications/*
#  --add-category Settings                                               \
#  --add-category AdvancedSettings					\

./mkinstalldirs ${RPM_BUILD_ROOT}%{_datadir}/xsessions/
install -m 644 %{SOURCE2} ${RPM_BUILD_ROOT}%{_datadir}/xsessions/

#/bin/rm $RPM_BUILD_ROOT%{_datadir}/gnome/default.session
./mkinstalldirs ${RPM_BUILD_ROOT}%{_datadir}/gnome/
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/gnome/default.session

mkdir -p $RPM_BUILD_ROOT%{_sysconfdir}/xdg/autostart
mkdir -p $RPM_BUILD_ROOT%{_datadir}/gnome/autostart

# remove gnome default splash screen
#rm -rf $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash/*
mkdir -p $RPM_BUILD_ROOT%{_datadir}/pixmaps/splash

#
rm -f $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/icon-theme.cache

%find_lang %{po_package}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas > /dev/null ||:

%pre
if [ "$1" -gt 1 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
  export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
  gconftool-2 --makefile-uninstall-rule %{_sysconfdir}/gconf/schemas/gnome-session.schemas >& /dev/null || :
fi

%postun -p /sbin/ldconfig

%files -f %{po_package}.lang
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog NEWS README
#doc %{_docdir}/%{name}/dbus/gnome-session.html
%{_sysconfdir}/gconf/schemas/*.schemas
%{_sysconfdir}/xdg/autostart
%{_bindir}/*
%{_libexecdir}/gnome-session/helpers/*
%{_datadir}/gnome
%{_datadir}/gnome-session/*.ui
%{_datadir}/applications/*
%{_datadir}/xsessions/*
%dir %{_datadir}/pixmaps/splash
%{_datadir}/icons/hicolor/*
%{_mandir}/man*/*


%changelog
* Sun Apr 11 2010 Yoji TOYODA <bsyamato@sea.plala.or.jp> 2.30.0-1
- new upstream release
- remove BuildRequires: gnome-keyring
- change BuildRequires: DeviceKit-power-devel -> upower-devel
- add BuildRequires: startup-notification-devel, libSM-devel, desktop-file-utils

* Sat Oct 31 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.28.0-1
- new upstream release
- added BR: DeviceKit-power-devel
- removed BR: PolicyKit-gnome-devel

* Sat Jul 04 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.2-1
- new upstream release

* Sat Apr 18 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.26.1-1
- new upstream release
- added BuildRequires: PolicyKit-gnome-devel

* Mon Mar 23 2009 Daisuke SUZUKI <daisuke@linux.or.jp> 2.26.0-1
- new upstream release

* Mon Jan 19 2009 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.24.3-1
- new upstream release

* Wed Oct 28 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.1-1
- new upstream release

* Wed Oct 22 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-2
- add patch5,6,7,8 from upstream/fedora
- remove gnome-volume-manager from vine-default-session

* Wed Sep 24 2008 Daisuke SUZUKI <daisuke@linux.or.jp> 2.24.0-1
- new upstream release

* Sun Jun  1 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.2-1
- new upstream release

* Sat Apr 12 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.1.1-1vl5
- new upstream release

* Mon Mar 31 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.22.0-1vl5
- new upstream release
- updated Patch100

* Wed Jan  9 2008 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.20.3-0vl1
- new upstream release

* Wed Jul  4 2007 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.18.3-0vl1
- new upstream release

* Fri May 11 2007 MATSUBAYASHI Kohji <shaolin@vinelinux.org> 2.18.0-0vl2
- add BuildRequires: control-center-devel

* Sat Apr 28 2007 Daisuke SUZUKI <daisuke@linux.or.jp> 2.18.0-0vl1
- new upstream release

* Thu Sep 21 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.3-0vl1
- new upstream release
- remove default gnome-splash.png, use our splash.
- add Requires: vine-backgrounds >= 3.8

* Sat Jun  3 2006 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.14.2-0vl1
- new upstream release

* Fri Apr 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.1-0vl1
- new upstream release

* Tue Mar 14 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.14.0-0vl1
- new upstream release

* Tue Mar 07 2006 Daisuke SUZUKI <daisuke@linux.or.jp> 2.13.92-0vl1
- new upstream release

* Mon Sep 19 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.12.0-0vl1
- new upstream release

* Thu Aug 04 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.11.90-0vl1
- new upstream release

* Mon Mar 21 2005 Daisuke SUZUKI <daisuke@linux.or.jp> 2.10.0-0vl1
- new upstream version

* Sun Nov 07 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.8.1-0vl1
- new upstream release

* Sun Oct 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.6.2-0vl1
- new upstream release

* Sun Oct 17 2004 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.2-0vl2
- rebuild with new environment

* Fri Jan 30 2004 Ryoichi INAGAKI <ryo1@bc.wakwak.com> 2.4.2-0vl1
- new upstream release

* Thu Sep 11 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.4.0-0vl1
- new upstream release
- remove old gdm session file.

* Fri Sep 05 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.90-0vl1
- new upstream release

* Wed Sep 03 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.3.7-0vl1
- new upstream release

* Tue Apr 29 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.1-0vl1
- new upstream release
- import patch6,8 from rawhide release

* Wed Jan 22 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0.1-0vl1
- new upstream release

* Tue Jan 21 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.2.0-0vl1
- new upstream release

* Fri Jan 10 2003 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.90-0vl1
- new upstream release

* Thu Dec 26 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.5-0vl1
- new upstream release

* Sun Dec 15 2002 Daisuke SUZUKI <daisuke@linux.or.jp> 2.1.4-0vl1
- build for Vine Linux
- new upstream release from gnome-2.1.4

* Wed Nov 13 2002 Havoc Pennington <hp@redhat.com>
- 2.1.2

* Tue Sep  3 2002 Owen Taylor <otaylor@redhat.com>
- Up purge delay for session manager to 5 minutes to avoid problem 
  with openoffice.org timing out

* Wed Aug 28 2002 Havoc Pennington <hp@redhat.com>
- put gdm session in here, conflict with old gdm
- use DITHER_MAX for dithering to make splash screen look good in 16
  bit

* Tue Aug 27 2002 Havoc Pennington <hp@redhat.com>
- fix missing icons and misaligned text in splash

* Fri Aug 23 2002 Tim Waugh <twaugh@redhat.com>
- Fix login sound disabling (bug #71664).

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- put rhn applet in default session

* Wed Aug 14 2002 Havoc Pennington <hp@redhat.com>
- fix the session file, should speed up login a lot
- put magicdev in default session

* Thu Aug  8 2002 Havoc Pennington <hp@redhat.com>
- 2.0.5 with more translations

* Tue Aug  6 2002 Havoc Pennington <hp@redhat.com>
- 2.0.4
- remove gnome-settings-daemon from default session

* Wed Jul 31 2002 Havoc Pennington <hp@redhat.com>
- 2.0.3
- remove splash screen, require redhat-artwork instead

* Wed Jul 24 2002 Owen Taylor <otaylor@redhat.com>
- Set GTK_RC_FILES so we can change the gtk1 theme

* Tue Jul 16 2002 Havoc Pennington <hp@redhat.com>
- pass --with-halt-command=/usr/bin/poweroff
  --with-reboot-command=/usr/bin/reboot

* Tue Jun 25 2002 Owen Taylor <otaylor@redhat.com>
- Version 2.0.1, fixing missing po files

* Wed Jun 19 2002 Havoc Pennington <hp@redhat.com>
- put in new default session with pam-panel-icon
- disable schema install in make install, fixes rebuild failure.

* Sun Jun 16 2002 Havoc Pennington <hp@redhat.com>
- rebuild with new libraries

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Thu Jun 13 2002 Havoc Pennington <hp@redhat.com>
- add fix from Nalin to build require usermode

* Tue Jun 11 2002 Havoc Pennington <hp@redhat.com>
- 2.0.0

* Mon Jun 10 2002 Havoc Pennington <hp@redhat.com>
- install the schemas, so we get a logout dialog and splash
- put in the splash from 7.3

* Sun Jun 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Sun Jun 09 2002 Havoc Pennington <hp@redhat.com>
- rebuild in new environment, require newer gtk2

* Sun Jun  9 2002 Havoc Pennington <hp@redhat.com>
- remove obsoletes/provides gnome-core

* Fri Jun 07 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Wed Jun  5 2002 Havoc Pennington <hp@redhat.com>
- 1.5.21

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- rebuild in different environment

* Tue May 21 2002 Havoc Pennington <hp@redhat.com>
- 1.5.19
- add more build reqs to chill out build system
- provide gnome-core

* Fri May  3 2002 Havoc Pennington <hp@redhat.com>
- obsolete gnome-core
- 1.5.18

* Fri Apr 19 2002 Havoc Pennington <hp@redhat.com>
- default to metacity

* Tue Apr 16 2002 Havoc Pennington <hp@redhat.com>
- Initial build.


